This tutorial will show you the basics of how to get started with the jQWidgets ScrollView React Component.
Refer to Getting Started with React before you start with this help topic.
I. Imports:
import * as React from 'react'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css';import 'jqwidgets-scripts/jqwidgets/styles/jqx.material-purple.css';import JqxScrollView, { IScrollViewProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxscrollview';
II. Class:
class App extends React.PureComponent<{}, IScrollViewProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxScrollView width={this.state.width} height={"100%"} ..... /> ) }}
III. Render:
ReactDOM.render(<App />, document.getElementById('app'));
The event names in React are constructed of the original event names starting with capital letter plus on upfront:
class App extends React.PureComponent<{}, IScrollViewProps> { constructor(props: {}) { super(props); this.state = { width: '100%' // Other Widget Props } } render() { return ( <JqxScrollView onNameOfEvent={this.handleEvent} width={this.state.width} height={"100%"} ..... /> ) } private handleEvent(e: Event): void { // Do Something ... }}
This is how you call methods & props:
Every component have a method setOptions which accepts a object as an argument. This object contains component settings.
Every component also have a method getOptions which returns the value of the requested option.
API Reference of the jQWidgets ScrollView React Component: ScrollView API
Demos Reference of the jQwidgets ScrollView React Component: ScrollView Demos

Angular ScrollView Component

The ScrollView component for Angular represents a widget which can be used for viewing content which is wider than the visible area outlined by the device's screen. Specific item can be chosen using drag movements or clicking/tapping on the buttons at the bottom of the ScrollView.

1. Installation

The easiest way to get started with jQWidgets UI for Angular is to use the Angular CLI Tool. To scaffold your project structure, follow its installation instructions.

npm install -g @angular/cli
ng new jqwidgets-project
cd jqwidgets-project

Install jQWidgets

jQWidgets Angular UI comes packaged with Angular CLI schematics to make creating Angular applications easier. Schematics are included with both @angular/cdk and jqwidgets-ng. Once you install the npm packages, they will be available through the Angular CLI.

Angular CLI supports the addition of packages through the ng add command. The ng add command provides faster and more user-friendly package installation. To install the jQWidgets UI for Angular package, use ng add and add the name of the NPM package:

ng add jqwidgets-ng

Alternatively, you can use the standard installation (Manual Setup)

jQWidgets UI for Angular is distributed as jqwidgets-ng NPM package

  1. Download and install the package.
    npm install jqwidgets-ng
  2. Adding CSS reference

    The following CSS file is available in ../node_modules/jqwidgets-ng/ package folder. This can be referenced in [src/styles.css] using following code.

    @import 'jqwidgets-ng/jqwidgets/styles/jqx.base.css';

    Another way to achieve the same is to edit the angular.json file and in the styles add the style.

    "styles": [
    	"node_modules/jqwidgets-ng/jqwidgets/styles/jqx.base.css"
    ]
    

2. Add the HTML for jQWidgets component in src/app/app.component.html

app.component.html


<jqxScrollView [theme]="'fluent'" #myScrollView
    [width]="600" [height]="450" [buttonsOffset]="[0, 0]">
    <div><div class="photo" style="background-image: url(https://www.jqwidgets.com/angular/images/imageNature1.jpg)"></div></div>
    <div><div class="photo" style="background-image: url(https://www.jqwidgets.com/angular/images/imageNature2.jpg)"></div></div>
    <div><div class="photo" style="background-image: url(https://www.jqwidgets.com/angular/images/imageNature3.jpg)"></div></div>
    <div><div class="photo" style="background-image: url(https://www.jqwidgets.com/angular/images/imageNature4.jpg)"></div></div>
    <div><div class="photo" style="background-image: url(https://www.jqwidgets.com/angular/images/imageNature5.jpg)"></div></div>
</jqxScrollView>

<div style="margin-top: 2em"></div>

<jqxButton [theme]="'fluent'" (onClick)="onStartClicked()"
           [width]="120" [height]="25">
  Start SlideShow
</jqxButton>

<jqxButton [theme]="'fluent'" (onClick)="onStopClicked()"
           [width]="120" [height]="25">
  Stop SlideShow
</jqxButton>	

3. Setup Component Logic

app.component.ts


import { Component, ViewChild, ViewEncapsulation } from '@angular/core';
import { jqxButtonComponent, jqxButtonModule } from 'jqwidgets-ng/jqxbuttons';
import { jqxScrollViewModule, jqxScrollViewComponent } from 'jqwidgets-ng/jqxscrollview';

@Component({
    selector: 'app-root',
    imports: [jqxScrollViewModule, jqxButtonModule],
    standalone: true,
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.css'],
    encapsulation: ViewEncapsulation.None
})

export class AppComponent {
    @ViewChild('myScrollView') myScrollView: jqxScrollViewComponent;

    onStartClicked(): void {
        this.myScrollView.slideShow(true);
    };

    onStopClicked(): void {
        this.myScrollView.slideShow(false);
    };
}

Summary

jQWidgets UI for Angular provides an easy way to integrate robust UI components into your Angular project. By using either the ng add command or manual setup, you can quickly get started. Once the setup is complete, you can add the desired jQWidgets components and configure them in your Angular components to match your application requirements.

ScrollView API

API Reference of the jQWidgets ScrollView component for Angular: ScrollView API

Vue UI Components Documentation

Vue ScrollView Component

The ScrollView component for Vue represents a widget which can be used for viewing content which is wider than the visible area outlined by the device's screen. Specific item can be chosen using drag movements or clicking/tapping on the buttons at the bottom of the ScrollView.

Prerequisites

Refer to Vue Getting Started before you start with this help topic.

Configuration

After you have created your App.vue file, here is how you should structure it:

The ScrollView component for Vue requires the following import:

import JqxScrollView from "jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue";

Add the jqxScrollView component to the components section of the the Vue class:

 components: {
JqxScrollView
},

Template

The App.vue has a <template> structural tag where we determine the application structure. There we will also set the tags for the new components - <JqxScrollView/>

<template>
<JqxScrollView :width="width" :height="height" :buttonsOffset="buttonsOffset">
<div><div class="photo" style="background-image: url(images/imageNature1.jpg)"></div></div>
<div><div class="photo" style="background-image: url(images/imageNature2.jpg)"></div></div>
<div><div class="photo" style="background-image: url(images/imageNature3.jpg)"></div></div>
<div><div class="photo" style="background-image: url(images/imageNature4.jpg)"></div></div>
<div><div class="photo" style="background-image: url(images/imageNature5.jpg)"></div></div>
</JqxScrollView>
</template>

Properties

The properties of the <JqxScrollView/> component are defined in the data member of the Vue class. We should put them in the return object of the data function:

data: function () {
return {
width: 600,
height: 450,
buttonsOffset: [0, 0]
}
}

Events

The events in Vue are set as an attribute with @ prefix, for example:

<JqxScrollView @pageChanged="onPageChanged()"
:width="width" :height="height"
:buttonsOffset="buttonsOffset">
<div><div class="photo" style="background-image: url(images/imageNature1.jpg)"></div></div>
<div><div class="photo" style="background-image: url(images/imageNature2.jpg)"></div></div>
<div><div class="photo" style="background-image: url(images/imageNature3.jpg)"></div></div>
<div><div class="photo" style="background-image: url(images/imageNature4.jpg)"></div></div>
<div><div class="photo" style="background-image: url(images/imageNature5.jpg)"></div></div>
</JqxScrollView>

All events that are bound to a component are implemented in the methods member of the Vue class.

methods: {
onPageChanged: function () {
// Do something...
}
}

Methods

To use a component's method we should have its reference. In Vue we refer to a component by the special $refs property. Before that we need to add the desired name reference to that component:

<JqxScrollView ref="scrollview"></JqxScrollView>

Here how you can use a component's method:

this.$refs.scrollview.refresh();

methods: {
// Add here all used callbacks and/or events
onPageChanged: function () {
// Do something...
this.refs.scrollview.refresh();
}
}

If we want to add additional methods we should also implement them in the methods member.

In case we need to do some precalculation or something else before the components are rendered, we should use the beforeCreate member. It depends on the case.

If you have followed the above steps, you App.vue file would look like this:

App.vue:

ScrollView Example

<template>
<div>
<JqxScrollView ref="myScrollView" :width="600" :height="450" :buttonsOffset="[0, 0]">
<div><div class="photo" style="background-image: url(images/imageNature1.jpg)"></div></div>
<div><div class="photo" style="background-image: url(images/imageNature2.jpg)"></div></div>
<div><div class="photo" style="background-image: url(images/imageNature3.jpg)"></div></div>
<div><div class="photo" style="background-image: url(images/imageNature4.jpg)"></div></div>
<div><div class="photo" style="background-image: url(images/imageNature5.jpg)"></div></div>
</JqxScrollView>
<div style="margin-top: 2em"></div>
<JqxButton @click="onStartClicked()" :width="120">
Start SlideShow
</JqxButton>
<JqxButton @click="onStopClicked()" :width="120">
Stop SlideShow
</JqxButton>
</div>
</template>
<script>
import JqxScrollView from "jqwidgets-scripts/jqwidgets-vue/vue_jqxscrollview.vue";
import JqxButton from "jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue";
export default {
components: {
JqxScrollView,
JqxButton
},
methods: {
onStartClicked: function (event) {
this.$refs.myScrollView.slideShow = true;
},
onStopClicked: function (event) {
this.$refs.myScrollView.slideShow = false;
}
}
}
</script>
<style>
.photo {
width: 600px;
height: 450px;
background-color: #000;
background-position: center;
background-repeat: no-repeat;
}
.jqx-button {
display: inline-block;
margin-right: 10px;
}
</style>

Run Code